html, body {
    margin: 0;
    padding: 0;
    width: 100%;
}

body {
    font-family: "Helvetica Neue",sans-serif;
    font-weight: lighter;
    background: white;
}

header {
    width: 100%;
    height: 60vh;
    background: url(../img/sfondoTokyo.jpg) no-repeat 50% 50%;
    background-size: cover;
}

.content {
    width: 100%;
    font-size: 100%;
    line-height: 200%;
    text-align: justify;
}

.corpo{
    font-family: 'Source Serif Pro', serif;
    margin-left: 5%;
    width: 90%;
    font-size: 120%;
}

.logo {
    position: fixed;
    float: left;
    margin: 1% 2.7%;
    color: #fff;
    font-weight: bold;

}

nav {
    position: fixed;
    width: 100%;
    z-index: +1;
}

nav ul {
    line-height: 300%;
    list-style: none;
    background: rgba(0, 0, 0, 0);
    overflow: hidden;
    color: #fff;
    padding: 0;
    text-align: right;
    margin: 0;
    padding-right: 2%;
    transition: 1s;
}

nav.black ul {
    background: #a2a4a6;
  }

nav ul li {
    display: inline-block;
    padding: 1% 3%;
}

nav ul li a {
    text-decoration: none;
    font-size: 16px;
    color: snow;
}

nav ul li a:hover{
  text-decoration: none;
  color: snow;
}



.separetor{
  height: 3%;
  background-color: white;
  opacity: 60%;
}





input[type="checkbox"]{
  position: absolute;
  width:40px;
  height: 20px;
  -webkit-appearance: none;
  background: #c6c6c6;
  outline: none;
  border-radius: 10px;
  box-shadow: inset 0 0 2.5px rgb(0,0,0,.2);
  transition:.5s;
  margin-left:-4%;
  margin-top: -0.2em;
}
input:checked[type="checkbox"]{
  background: #03a9f4;
}
input[type="checkbox"]:before{
 content:'';
 position: absolute;
 width:20px;
 height:20px;
 border-radius:40px;
 top:0;
 left:0;
 background: #fff;
 transition:.5s;
 transform:scale(1.1);
 box-shadow: 0 1px 2.5px rgba(0,0,0,.2);
}
input:checked[type="checkbox"]:before{
 left:20px;
}




.content .bottoni{
    position: absolute;
    display: flex;    
    justify-content: center;
    width: 100%;
    font-size: 100%;
    height: 8em;
}

button{
    height: 40%;
    font-size: 100%;
    font-weight: bold;
    color: white;
    background-color: crimson;
    border: 3px solid white;
    outline: none;
    cursor: pointer;
    border-radius: 2em;
    transition: 0.5s;
    font-family: 'Montserrat', sans-serif;
    width: 110px;
}
.bottoni button:hover{
    box-shadow:0px 0px 15px red;
}
.bottoni .btn2{
    margin-left: 1%;
}
.bottoni .btn3{
    margin-left: 1%;
}
@media screen and (max-width:870px){
    input[type="checkbox"]{
        position: absolute;
        margin-top: -2%;
      }
    .testo{
        font-size: 10px !important;
        
    }
    .descrizione{
        overflow: scroll !important;
        text-overflow: ellipsis !important; 
    }
    .descrizione::-webkit-scrollbar{
        display: none;
    }   
}
@media screen and (max-width:1000px) and (min-width:871px){
    input[type="checkbox"]{
        position: absolute;
        margin-top: 0%;
      }
    .testo{
        font-size: 10px !important;
        
    }
    .descrizione{
        overflow: scroll !important;
        text-overflow: ellipsis !important; 
    }
    .descrizione::-webkit-scrollbar{
        display: none;
    }   
}
.contenuto{
    position:absolute;
    border-radius: 30px;
    background-size: cover;
    top:10%;
    left:10%;
    right: 10%;
    bottom: 10%;
    height: 80%;
    width: 80%;
    border: 5px solid silver;
    display:grid;
 }

 .top{
     position:absolute;
     width:50%;
     height:50%;
     border-top-left-radius:25px;
 }
 .down{
    position:absolute;
    width:50%;
    height:50%;
    border-bottom-left-radius: 25px;
 }
.descrizione{
    position: absolute;
    background: white;
    width: 50%;
    height: 100%;
    border-top-right-radius:25px;
    border-bottom-right-radius: 25px;
    margin-left: 50%;
    overflow: scroll !important;
    text-overflow: ellipsis !important;
    font-family: 'Source Serif Pro', serif;
}
.descrizione::-webkit-scrollbar{
    display: none;
}   

 .cross{
    position: absolute;
    top:2%;
    left:1%;
    z-index: +4;
}

.cross:hover{
    cursor: pointer;
}

.testo{
    margin-right: 2%;
    margin-left: 2%;
    margin-top: 2%;
    font-size: 90%;
}
.map{
    border-radius: 25px;
}

.crossmap{
    position: absolute;
    top:2%;
    right:1%;
    z-index: +4;
}
.crossmap:hover{
    cursor: pointer;
}



.recensioni{
    width:70%;
    font-family: 'Source Serif Pro', serif;
    margin-left:15%;
    margin-top: -10%;
    
 }
 textarea{
     width: 100%;
     height:50%;
     resize:none;
     border-style: double;
     border-radius: 5px;
 }
 
 input[type="submit"]{
    border-radius: 10px;
    height: 25%;
    width: 100%;
    background-color: #3978ed;
    color: white;
 }
 input[type="text"]{
     height: 25%;
     width: 100%;
     font-size: 90%;
     text-align: center;   
     border-radius: 10px;
     border-color: whitesmoke;
  }
 form{
     display: flex;
     height: 30%;
 }
 .row{
     display: table-column;
     width: 20%;
     margin-left:1%;
 }
 .commenti{
     margin-top: -10%;
 }
 .commento{
     background: whitesmoke;
     width: 100%;
     border-radius: 25px;
     margin-top: -2%;
 }
 .commentatore{
     display:flex;
 }
 .bordo{
     margin-top: 1.5%;
     margin-left: 1.5%;
 }
 .commento::-webkit-scrollbar{
     display: none;
 }   
 .commento{
     overflow-y: scroll ;
     text-overflow: ellipsis ;
     word-wrap: break-word;
 }
 h3{
     color: #3978ed;
 }

 /*stelle*/
 .rating {
    width: 100%;
    height: 25%;
}

/* :not(:checked) is a filter, so that browsers that don’t support :checked don’t 
   follow these rules. Every browser that supports :checked also supports :not(), so
   it doesn’t make the test unnecessarily selective */
.rating:not(:checked) > input {
    position:absolute;
    clip:rect(0,0,0,0);
}

.rating:not(:checked) > label {
    float:right;
    width:1em;
    padding:0 ;
    overflow:hidden;
    white-space:nowrap;
    cursor:pointer;
    font-size:160%;
    line-height:100%;
    color:#ddd;
    text-shadow:1px 1px #bbb, 2px 2px #666, .1em .1em .2em rgba(0,0,0,.5);
}

.rating:not(:checked) > label:before {
    content: '★ ';
}

.rating > input:checked ~ label {
    color: gold;
    text-shadow:1px 1px goldenrod, 2px 2px goldenrod, .1em .1em .2em rgba(0,0,0,.5);
}

.rating:not(:checked) > label:hover,
.rating:not(:checked) > label:hover ~ label {
    color: gold;
    text-shadow:1px 1px goldenrod, 2px 2px #B57340, .1em .1em .2em rgba(0,0,0,.5);
}

.rating > input:checked + label:hover,
.rating > input:checked + label:hover ~ label,
.rating > input:checked ~ label:hover,
.rating > input:checked ~ label:hover ~ label,
.rating > label:hover ~ input:checked ~ label {
    color: #ea0;
    text-shadow:1px 1px goldenrod, 2px 2px #B57340, .1em .1em .2em rgba(0,0,0,.5);
}

.rating > label:active {
    position:relative;
    top:2px;
    left:2px;
}

.prova{
    color: gold;
    display: flex;
    justify-content: right;
    margin-left: 2%;
}
.prova2{
    color: lightgray;
    display: flex;
    justify-content: right;
}


